
QGIS Application - Bug report #21422

Snapping on Linestring Z intersections  does not work anymore

2019-02-28 01:02 PM - Arnaud Poncet-Montanges

Status: Closed

Priority: High

Assignee: Loïc BARTOLETTI

Category: Digitising

Affected QGIS version:3.4.5 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29239

Description

This is a regression from QGIS 2.18.X to QGIS 3.X

https://user-images.githubusercontent.com/8614223/53565122-d9dfe280-3b58-11e9-9097-6896d6abf8b1.gif

Linestring Z from postgresql

Works fine on memory layers.

Associated revisions

Revision 155e0eb5 - 2019-03-27 10:14 PM - Loïc BARTOLETTI

[needs-docs] Fixes intersection on (multi)linestring/polygon Z, M and ZM. Fixes #21422

Revision 30399dfe - 2019-04-09 08:42 AM - Loïc BARTOLETTI

[needs-docs] Fixes intersection on (multi)linestring/polygon Z, M and ZM. Fixes #21422

History

#1 - 2019-03-01 08:20 PM - Giovanni Manghi

- Category changed from 3D to Digitising

- Priority changed from Normal to High

- Subject changed from Snapping on Linestring Z intersections  to Snapping on Linestring Z intersections  does not work anymore

#2 - 2019-03-05 08:39 AM - Loïc BARTOLETTI

- Status changed from Open to In Progress

- Assignee set to Loïc BARTOLETTI

#3 - 2019-04-08 07:47 AM - Loïc BARTOLETTI

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|155e0eb5078cf0f113ac1dc69e7b40a063ff38ac.
